(function() {
  'use strict';

  angular
    .module('app-base')
    .directive('navbar', Navbar);

  /** @ngInject */
  function Navbar() {

    var directive = {
      restrict: 'E',
      templateUrl: 'app/components/base-app/app/navbar/navbar.html',
      scope: {
          mainMenu: '=',
          secondaryMenu: '='
      },
      controller: NavbarController,
      controllerAs: 'vm',
      bindToController: true
    };
    return directive;

    /** @ngInject */
    function NavbarController(AppSettings,WordPress) {
      var vm = this;
      vm.config = AppSettings;
      vm.wordpress = WordPress;
      // "vm.mainMenu" + "secondaryMenu" are avaible by directive option "bindToController: true"
    }
  }

})();
